#  This is manual page in Perl POD format. Read more at
#  http://perldoc.perl.org/perlpod.html or run command:
#
#     perldoc perlpod | less
#
#  To check the syntax:
#
#     podchecker *.pod
#
#  Create manual page with command:
#
#    pod2man PAGE.N.pod > PAGE.N

=head1 NAME

installmgr - install, list, update and remove SWORD modules

=head1 SYNOPSIS

B<installmgr> -init

B<installmgr> -l

B<installmgr> -u [ModuleName]

B<installmgr> -s

B<installmgr> [-r | -rl | -rd] [RemoteSrcName]

B<installmgr> -ri [RemoteSrcName] [ModuleName]

B<installmgr> -ll [PATH]

B<installmgr> -li [PATH] [ModuleName]

=head1 DESCRIPTION

A command line utility to manipulate SWORD modules. It can be used to install,
remove, list and update SWORD modules, from local and network locations.

Please note modules will be installed into /usr/share/sword without using
APT. If you use this utility you will not be able to uninstall these modules
using apt-get, aptitude, synaptic and similar tools.  

=head1 OPTIONS

=over

=item B<-init>

Creates basic user configuration file. This will overwrite existing one.

=item B<-l>

Lists currently installed SWORD modules.

=item B<-u [ModuleName]>

Uninstalls module.

=item B<-s>

Lists available remote sources

=item B<[-r | -rl | -rd] [RemoteSrcName]>

These are used to manipulate remote sources.

=over

=item -r

Refreshes remote source.

=item -rl

Lists available modules from the remote source.

=item -rd

Lists new/updated modules from the remote source.

=back

=item B<-ri [RemoteSrcName] [ModuleName]>

Install module from remote source.

=item B<-ll [PATH]>

List available modules at a specified local path.

=item B<-li [PATH] [ModuleName]>

Install module from local path.

=back

=head1 Authors

This manual page was written by Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com> for
Debian project but may be used by others.

=head1 SEE ALSO

=cut
